COLUMN(1)

NAME
column - columnate lists

SYNOPSIS
column [-ntx] [-c columns] [-s sep] [file ...]

DESCRIPTION
The column utility formats its input into multiple columns. Rows are filled before columns. Input is taken from file operands, or, by default, from the standard input. Empty lines are ignored.

The options are as follows:

-c  Output is formatted for a display columns wide.

-n  By default, the column command will merge multiple adjacent delimiters into a single delimiter when using the -t option; this option disables that behavior.

-s  Specify a set of characters to be used to delimit columns for the -t option.

-t  Determine the number of columns the input contains and create a table. Columns are delimited with whitespace, by default, or with the characters supplied using the -s option. Useful for pretty-printing displays.

-x  Fill columns before filling rows.

DIAGNOSTICS

ENVIRONMENT

COLUMNS
    The environment variable COLUMNS is used to determine the size of the screen if no other information is available.

EXAMPLES
To add headings to the output of ls(1):

    (echo "PERM LINKS OWNER GROUP SIZE MONTH DAY HH:MM/YEAR NAME"\&; \
    LANG=C ls -l | sed 1d) | column -t

To print the wordlist in columns:

    column /usr/share/dict/words

The previous examples fills rows before columns (the first column might start with aardvark, while the second with mighty). To fill columns before rows (such that the first line might contain aardvark and abacus):

    column -x /usr/share/dict

SEE ALSO
colrm(1), ls(1), paste(1), sort(1)

HISTORY
The column command appeared in 4.3BSD Reno.